<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [getPurchaseNodeCost](./bitburner.hacknet.getpurchasenodecost.md)

## Hacknet.getPurchaseNodeCost() method

Get the price of the next hacknet node.

**Signature:**

```typescript
getPurchaseNodeCost(): number;
```
**Returns:**

number

Cost of purchasing a new Hacknet Node.

## Remarks

RAM cost: 0 GB

Returns the cost of purchasing a new Hacknet Node.

